Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[
"op": "replace",
"path": "/cards/0",
"value": {
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service"
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation"
"id": "license-plates-service-123"
},
"entries": {
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
}
}
]'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}ファイルの1つ以上のBox Skillsメタデータカードを更新します。
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[
"op": "replace",
"path": "/cards/0",
"value": {
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service"
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation"
"id": "license-plates-service-123"
},
"entries": {
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
}
}
]'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
ファイルを表す一意の識別子。
ファイルIDを確認するには、ウェブアプリケーションでファイルにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/files/123の場合、file_idは123です。
値は常にreplaceになります。
replace "replace"
置き換えるカードを表すJSONパス。ほとんどの場合、これは/cards/{index}形式になります (indexは、カードのリストにおいてそのカードの位置を示すゼロから始まるインデックスです)。
"/cards/0"
カードのリスト内のpathで定義された位置に挿入されるカード。
Show child attributes
カスタムテンプレートデータを含め、更新されたメタデータテンプレートを返します。
Boxスキルの使用に割り当てられたメタデータ。
このメタデータをユーザーが編集できるかどうか。
true
メタデータオブジェクトを識別するためのUUID。
36"01234500-12f1-1234-aa12-b1d234cb567e"
親フォルダのID。
"folder_59449484661,"
このテンプレートが適用されているスコープのID。
"enterprise_27335"
テンプレートの名前。
"properties"
このインスタンスの「タイプ」に対応する一意の識別子。これは内部システムプロパティであるため、クライアントアプリケーションでは使用しないでください。
"properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0"
オブジェクトテンプレートの既知の最新バージョン。これは内部システムプロパティであるため、クライアントアプリケーションでは使用しないでください。
2
メタデータオブジェクトのバージョン。0から始まり、ユーザー定義プロパティが変更されるたびに増加します。
1
このファイルに適用されているBox Skillカードのリスト。
一連のキーワードを含むスキルカード。
Show child attributes
このページは役に立ちましたか?